Bug 2933 - XServer does not start with russian Sun keyboard
XServer does not start with russian Sun keyboard
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.0
sparc Linux
low Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-20 07:57 EDT by roganov
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-03 14:42:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description roganov 1999-05-20 07:57:21 EDT
Hello,

We are running RedHat Linux on Sparc computer with russian
keyboard (type 5C). It looks exactly like english,
but with few specific keys. Every time we are installing
new system we have the same problem: XServer does not work:
it does not know about our keyboard (kbd returns code 54
during probe reply).

As a proper solution for this problem we should to create
special keyboard definition and put it into 'sunKeyMap.c'.
Unfortunatly, we don't know where/how to grasp it.
Currently we are using 'XFree86-3.3.3.1-ruskbd.patch'

<<<<<<<<<<<<
---XFree86-3.3.3.1/xc/programs/Xserver/hw/sun/sunKeyMap.c.orig
Tue May 18 23:26:00 1999
+++
XFree86-3.3.3.1/xc/programs/Xserver/hw/sun/sunKeyMap.c
Tue May 18 23:29:51 1999
@@ -5638,7 +5638,7 @@
        NULL, /* Hungary5 */    /* 51 */
        NULL, /* Poland5 */     /* 52 */
        NULL, /* Czech5 */      /* 53 */
-       NULL, /* Russia5 */     /* 54 */
+       US5Keymap, /* Russia5 *//* 54 */
        NULL,                   /* 55 */
        NULL,                   /* 56 */
        NULL,                   /* 57 */
@@ -5750,7 +5750,7 @@
        NULL, /* Hungary5 */    /* 51 */
        NULL, /* Poland5 */     /* 52 */
        NULL, /* Czech5 */      /* 53 */
-       NULL, /* Russia5 */     /* 54 */
+       US5Modmap, /* Russia5 *//* 54 */
        NULL,                   /* 55 */
        NULL,                   /* 56 */
        NULL,                   /* 57 */
>>>>>>>>>>>>>

which just says that keyboard is US5-comapible.
(It is interesting, how people from Hungary/Poland/Czech
are avoiding this problem...:-)

This patch is not a proper solution, but it is all we have
for this moment. The only reason for this message is
to put attention to this problem.

May be following obvious way is more acceptible: change
keyboard identification code to make it little less critical
(at least do not abort XServer):

Warning: unknown keyboard type %d, guessing US5 layout...

in hope what most of minor Sun keyboard modifications are
more or less US-compatible.

Best wishes,
Vladimir.
Comment 1 Jeff Johnson 1999-06-03 14:42:59 EDT
Fixed (by applying patch) in XFree86-3.3.3.1-50. Thanks for the
report.

Note You need to log in before you can comment on or make changes to this bug.